Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Classes | Namespaces | Functions
Stream.h File Reference

Go to the source code of this file.

## Classes

class | Argus::InputStream
| Input streams are created and owned by CaptureSessions, and they maintain a connection with an EGLStream in order to acquire frames as an EGLStream consumer. More...
class | Argus::OutputStream
| Output streams are created and owned by CaptureSessions, and they maintain a connection with an EGLStream in order to present frames as an EGLStream producer. More...
class | Argus::OutputStreamSettings
| Settings for OutputStream creation are exposed by the OutputStreamSettings class. More...
class | Argus::IStream
| Interface that exposes the properties common to all Stream objects. More...
class | Argus::IOutputStreamSettings
| Interface that exposes the settings used for OutputStream creation. More...

## Namespaces

namespace | Argus

## Functions

| Argus::DEFINE_NAMED_UUID_CLASS (StreamMode)
| Argus::DEFINE_UUID (StreamMode, STREAM_MODE_MAILBOX, 33661d40, 3ee2, 11e6, bdf4, 08, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_UUID (StreamMode, STREAM_MODE_FIFO, 33661d41, 3ee2, 11e6, bdf4, 08, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_UUID (InterfaceID, IID_STREAM, 8f50dade, cc26, 4ec6, 9d2e, d9, d0, 19, 2a, ef, 06)
| Argus::DEFINE_UUID (InterfaceID, IID_OUTPUT_STREAM_SETTINGS, 52f2b830, 3d52, 11e6, bdf4, 08, 00, 20, 0c, 9a, 66)